/**********************************************************************

	--- Qt Architect generated file ---

	File: prefsDialog.h
	Last generated: Thu Jul 6 17:58:38 2000

 *********************************************************************/

#ifndef prefsDialog_included
#define prefsDialog_included

#include <kurllabel.h>
#include <kdialogbase.h>
#include <qcheckbox.h>
#include <qlcdnumber.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qtoolbutton.h>
#include <qfont.h>

class prefsDialogData;
class wsPrefs;

class prefsDialog : public KDialogBase
{
    Q_OBJECT

public:

	prefsDialog(QWidget *parent = 0,const char *name = "name" );

	virtual ~prefsDialog();
	/** Get the report location string. */
	QString reportLocation() const;
	bool enableLog() const;
	QString logFile() const;
	/** Set the pref box file name to the current prefs file name. */
	void setLogFile( QString s );
	/** The current report location */
	void setReportLocation( QString s );
	void setEnableLog(bool);
	int viewMode() const;
	void setViewMode(int mode);

	void scanStations();

private slots:
    /** Open KFM to this link. */
    void processURL(const QString&);
    // Enable/disable logfile input
    void enableLogWidgets(bool b);
    void changeView(int mode);

    void addStation();
    void removeStation();
    void updateStations();
    void exitWS();


private:
	bool dcopActive();
    prefsDialogData* view;
    wsPrefs* wsView;
    int mode;
};
#endif // prefsDialog_included
